Edit a Paging Group
Edit a paging group.
Request URL
POST {base_url}/{api_path}/paging/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of a paging group. Note: You can query paging group's ID using Search Specific Paging Groups interface. |
| name | No | String | Paging group name. |
| type | No | String | Paging group type. Valid value:
|
| prompt | No | String | The prompt to be played before making an announcement. Note: You can query available custom prompts using the Get Menu Options interface. |
| prompt_play_times | No | Integer | How many times the prompt will be played and repeated. Valid value: 0-100, where 0 indicates playing the prompt in a loop. |
| broadcast | No | Array<Broadcast> | Broadcasters who initiate the paging. |
| broadcast_client | No | String | Clients to receive broadcast. Valid value:
|
| dial_star_to_answer | No | Integer | Whether members can dial * to talk to the broadcaster privately. Valid value:
|
| dial_hash_to_stop_prompt | No | Integer | Whether broadcaster can dial # during playback to stop playing prompt. Valid value:
|
| play_prompt_to_broadcaster | No | Integer | Whether to play prompt to broadcaster. Valid value:
|
| member_list | No | Array<Member_List> | Members for One-way Paging group or Two-way Intercom group. Note: This parameter is required for One-way Paging group or Two-way Intercom group. |
| multicast_ip_list | No | Array<Multicast_IP_List> | Multicast IPs for One-way Multicast Paging group. Note: These parameters are required for One-way Multicast Paging group. |
Broadcast
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | No | Array | The unique ID(s) of extension or extension group. Note: You can query extension ID or extension group ID using the Get Menu Options interface. |
Member_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Array | The unique ID(s) of extension or extension group. Note: You can query extension ID or extension group ID using the Get Menu Options interface. |
Multicast_IP_List
| Parameter | Required | Type | Description |
|---|---|---|---|
| multicast_ip | Yes | String | Multicast IP address. |
| multicast_port | Yes | Integer | Multicast port. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Change the multicast IP of One-way Multicast Paging group 6602 (ID:"3").
POST /openapi/v1.0/paging/update?access_token=oOrGmCPwybfZf1vqoUHjmBj5fsOK22JM HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id": 3,
"multicast_ip_list":[
{
"multicast_ip": "222.10.0.75",
"multicast_port": 10002
}
]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}